## com.thingmagic
Class SimpleReadPlan

    java.lang.Object
      com.thingmagic.ReadPlan
          com.thingmagic.SimpleReadPlan

Direct Known Subclasses:
  StopTriggerReadPlan

    public class SimpleReadPlan

extends ReadPlan

A SimpleReadPlan is a read plan covering one or more protocols and one or more antennas, with all protocols searched on all antennas.

Field Summary
`int[]` `antennas`
`TagFilter` `filter`
`TagOp` `Op` Tag Operation
`TagProtocol` `protocol`
`Trigger` `triggerRead`
`boolean` `useFastSearch`

Fields inherited from class com.thingmagic.ReadPlan
`enableAutonomousRead, weight`

Constructor Summary
`SimpleReadPlan()` Create a SimpleReadPlan with the default antenna setting (detected), the default protocol, no filter, and the default weight.
`SimpleReadPlan(int[] antennaList, TagProtocol protocol)` Create a SimpleReadPlan with a list of antennas, a protocol, no filter, and the default weight.
`SimpleReadPlan(int[] antennaList, TagProtocol protocol, boolean useFastSearch)` Create a SimpleReadPlan with a protocol, a list of antennas,and a useFastSearch.
`SimpleReadPlan(int[] antennaList, TagProtocol protocol, TagFilter filter, int weight)` Create a SimpleReadPlan with a protocol, a list of antennas, a filter, and a weight.
`SimpleReadPlan(int[] antennaList, TagProtocol protocol, TagFilter filter, int weight, boolean useFastSearch)` Create a SimpleReadPlan with a protocol, a list of antennas, a filter, a weight, and a useFastSearch.
`SimpleReadPlan(int[] antennaList, TagProtocol protocol, TagFilter filter, TagOp op, int weight)` Create a SimpleReadPlan with a list of protocols, a list of antennas, a filter,a tagop and a weight.
`SimpleReadPlan(int[] antennaList, TagProtocol protocol, TagFilter filter, TagOp op, int weight, boolean useFastSearch)` Create a SimpleReadPlan with a list of protocols, a list of antennas, a filter,a tagop, a weight, and a useFastSearch.

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### antennas

    public int[] antennas

### protocol

    public TagProtocol protocol

### filter

    public TagFilter filter

### useFastSearch

    public boolean useFastSearch

### triggerRead

    public Trigger triggerRead

### Op

    public TagOp Op

  Tag Operation

Constructor Detail

### SimpleReadPlan

    public SimpleReadPlan()

  Create a SimpleReadPlan with the default antenna setting (detected), the default protocol, no filter, and the default weight.

### SimpleReadPlan

    public SimpleReadPlan(int[] antennaList,
                          TagProtocol protocol)

  Create a SimpleReadPlan with a list of antennas, a protocol, no filter, and the default weight.

  Parameters:
    `antennaList` - the antennas to include in the read plan
    `protocol` - the protocol to include in the read plan

### SimpleReadPlan

    public SimpleReadPlan(int[] antennaList,
                          TagProtocol protocol,
                          boolean useFastSearch)

  Create a SimpleReadPlan with a protocol, a list of antennas,and a useFastSearch.

  Parameters:
    `antennaList` - the antennas to include in the read plan
    `protocol` - the protocol to include in the read plan
    `useFastSearch` - that enables fast moving tag read functionality

### SimpleReadPlan

    public SimpleReadPlan(int[] antennaList,
                          TagProtocol protocol,
                          TagFilter filter,
                          int weight)

  Create a SimpleReadPlan with a protocol, a list of antennas, a filter, and a weight.

  Parameters:
    `antennaList` - the antennas to include in the read plan
    `protocol` - the protocol to include in the read plan
    `filter` - the filter to include in the read plan
    `weight` - the weight of this read plan relative to others, when included in another plan

### SimpleReadPlan

    public SimpleReadPlan(int[] antennaList,
                          TagProtocol protocol,
                          TagFilter filter,
                          int weight,
                          boolean useFastSearch)

  Create a SimpleReadPlan with a protocol, a list of antennas, a filter, a weight, and a useFastSearch.

  Parameters:
    `antennaList` - the antennas to include in the read plan
    `protocol` - the protocol to include in the read plan
    `filter` - the filter to include in the read plan
    `weight` - the weight of this read plan relative to others, when included in another plan
    `useFastSearch` - that enables fast moving tag read functionality

### SimpleReadPlan

    public SimpleReadPlan(int[] antennaList,
                          TagProtocol protocol,
                          TagFilter filter,
                          TagOp op,
                          int weight)

  Create a SimpleReadPlan with a list of protocols, a list of antennas, a filter,a tagop and a weight.

  Parameters:
    `antennaList` - the antennas to include in the read plan
    `protocol` - the protocol to include in the read plan
    `filter` - the filter to include in the read plan
    `op` - operation mode
    `weight` - the weight of this read plan relative to others, when included in another plan

### SimpleReadPlan

    public SimpleReadPlan(int[] antennaList,
                          TagProtocol protocol,
                          TagFilter filter,
                          TagOp op,
                          int weight,
                          boolean useFastSearch)

  Create a SimpleReadPlan with a list of protocols, a list of antennas, a filter,a tagop, a weight, and a useFastSearch.

  Parameters:
    `antennaList` - the antennas to include in the read plan
    `protocol` - the protocol to include in the read plan
    `filter` - the filter to include in the read plan
    `op` - operation mode
    `weight` - the weight of this read plan relative to others, when included in another plan
    `useFastSearch` - that enables fast moving tag read functionality

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`